const models = require('../models');

module.exports = async function() {
    Promise.all([
        models.DeviceInventories.count(),
        models.LocalUsers.count({
            where: {
                identity_provider : 'Local User'
            }
        }),
        models.Client.count()
    ]).then(([devices, users, clients]) => {
        return models.CountHistory.create({
            users,
            devices,
            clients
        })
    }) 
};
