'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('Licenses', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      max_number_of_clients: {
        type: Sequelize.INTEGER,
        defaultValue: null,
        allowNull: true
      },
      number_of_days: {
        type: Sequelize.INTEGER,
        defaultValue: null,
        allowNull: true
      },
      license_submission_date: {
        type: Sequelize.DATE,
        allowNull: false,
        defaultValue: Sequelize.fn('now')
      },
      license_signature: {
        type: Sequelize.STRING
      },
      mfa_feature: {
        type: Sequelize.BOOLEAN,
        defaultValue: null,
        allowNull: true
      },
      darkening_feature: {
        type: Sequelize.BOOLEAN,
        defaultValue: null,
        allowNull: true
      },
      licensee: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('NOW()')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('NOW()')
      },
      expiry_reminder_sent_at: {
        type: Sequelize.DATE
      },
      licensee_email:{
        type: Sequelize.STRING(50)
      },
      max_number_of_services: {
        type: Sequelize.INTEGER
      },
      encrypted_license: {
        type: Sequelize.TEXT
      },
      violated: {
        type: Sequelize.INTEGER,
        defaultValue: 0
      },
      sign_file: {
        type: Sequelize.TEXT
      }
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('Licenses');
  }
};
