'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  is_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  is_ldap_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: 0
  },
  description: {
    type: Sequelize.TEXT,
    allowNull: true
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Groups', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Groups');
  }
};
