'use strict';

const view_name = 'GroupDetails';
const query = `(
  SELECT
  \`Groups\`.id AS groupId,
  COUNT(DISTINCT(Clients.id)) AS client_count,
  COUNT(DISTINCT(Services.id)) AS service_count
FROM
  \`Groups\`
LEFT OUTER JOIN(
      GroupClients INNER JOIN Clients ON Clients.id = GroupClients.clientId
  )
ON
  \`Groups\`.id = GroupClients.groupId
LEFT OUTER JOIN(
      GroupServices INNER JOIN Services ON Services.id = GroupServices.serviceId
  )
ON
\`Groups\`.id = GroupServices.groupId
GROUP BY
\`Groups\`.id
)`;
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.sequelize.query(
      `CREATE OR REPLACE VIEW ${view_name} AS ${query}`
    );
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.sequelize.query(`DROP VIEW ${view_name}`);
  }
};
