'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('DeviceInventories', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      userName: {
        type: Sequelize.STRING(50),
        allowNull: false
      },
      deviceSerialNumber: {
        type: Sequelize.STRING,
        unique: true
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      deviceTag: {
        type:Sequelize.STRING(50),
        defaultValue: null,
        unique: true
      },
      device_name: {
        type: Sequelize.STRING(50)
      },
      device_type: {
        type: Sequelize.STRING(100)
      },
      device_id: {
        type: Sequelize.INTEGER
      },
      department: {
        type: Sequelize.STRING(50)
      },
      location: {
        type: Sequelize.STRING(100)
      },
      ip_address: {
        type: Sequelize.STRING(50)
      },
      mac_address: {
        type: Sequelize.STRING(100)
      },
      host_name: {
        type: Sequelize.STRING
      },
      model: {
        type: Sequelize.STRING(50)
      },
      manufacturer: {
        type: Sequelize.STRING(50)
      },
      device_groups:{
        type: Sequelize.TEXT('long')
      },
      iot_device_type: {
        type: Sequelize.STRING(100)
      },
      hypervisor_version: {
        type: Sequelize.STRING(100)
      },
      has_agent: {
        type: Sequelize.BOOLEAN,
        defaultValue: 0
      },
      user_id: {
        type: Sequelize.INTEGER
      },
      darkening_state: {
        type: Sequelize.BOOLEAN,
        defaultValue: 0
      },
      os: {
        type: Sequelize.STRING(50)
      },
      os_version: {
        type: Sequelize.STRING
      },
      risk_score: {
        type: Sequelize.INTEGER,
        defaultValue: 1
      },
      geoip_track: {
        type: Sequelize.BOOLEAN,
        allowNull: true,
        defaultValue: true
      },
      is_reference_machine: {
        type: Sequelize.BOOLEAN
      },
      inventory_sync_state: {
        type: Sequelize.STRING(50),
        defaultValue: 'Undetected'
      },
      last_sync_time: {
        type: Sequelize.DATE
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('DeviceInventories');
  }
};
