'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ServiceAccessLogs', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      agent_id: {
        type: Sequelize.INTEGER
      },
      client_physical_ip: {
        type: Sequelize.STRING(50)
      },
      client_pseudo_ip: {
        type: Sequelize.STRING(50)
      },
      service_id: {
        type: Sequelize.INTEGER
      },
      service_physical_ip: {
        type: Sequelize.STRING(50)
      },
      service_pseudo_ip: {
        type: Sequelize.STRING(50)
      },
      client_tx_bytes: {
        type: Sequelize.INTEGER
      },
      service_tx_bytes: {
        type: Sequelize.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.fn('NOW')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.fn('NOW')
      },
      gw_agent_id:{
        type:Sequelize.INTEGER,
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('ServiceAccessLogs');
  }
};
