'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        `DELETE FROM ClientPolicies WHERE client_id NOT IN (
          SELECT id from Clients
        )`
      ).then(_ =>
        queryInterface.sequelize.query(
          `Alter Table ClientPolicies
            Add constraint client_FK foreign key(client_id) 
            references Clients(ID) ON DELETE CASCADE`
        )
      ),
      queryInterface.sequelize.query(
        `DELETE FROM GroupClients WHERE clientId NOT IN (
          SELECT id from Clients
        )`
      ).then(_ => 
        queryInterface.sequelize.query(
          `Alter Table GroupClients 
            Add constraint GroupClients_clientId_FK foreign key(clientId)
            references Clients(ID) ON DELETE CASCADE`
        )  
      ),
      
    ])
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        `Alter Table ClientPolicies
          drop FOREIGN KEY client_FK`
      ),
      queryInterface.sequelize.query(
        `Alter Table GroupClients 
          drop FOREIGN KEY GroupClients_clientId_FK`
      )
    ]) 
  }
};
