'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ClientSettings', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      auto_update_state: {
        type: Sequelize.BOOLEAN
      },
      mfa_server_state: {
        type: Sequelize.BOOLEAN
      },
      otp_state: {
        type: Sequelize.BOOLEAN
      },
      global_darkening: {
        type: Sequelize.BOOLEAN
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('NOW')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('NOW')
      },
      user_pass_validity_period: {
        type: Sequelize.INTEGER,
        defaultValue: 15,
        allowNull: false
      },
      process_reporting_interval: {
        type: Sequelize.INTEGER,
        defaultValue: 60,
        allowNull: false
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('ClientSettings');
  }
};