'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('GatewayGroups', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        name:{
          type:Sequelize.STRING(50),
          unique: true
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue:Sequelize.fn('now')
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue:Sequelize.fn('now')
        },
        description: {
          type: Sequelize.TEXT,
          allowNull: true
        }
      }).then(_ => 
        Promise.all([
          queryInterface.addColumn('Gateways','gateway_group_id',{
            type: Sequelize.INTEGER,
            references: {
              model: 'GatewayGroups',
              key: 'id',
            },
            onDelete: 'SET NULL',
          }),
          queryInterface.addColumn('Services','gateway_group_id',{
            type: Sequelize.INTEGER,
            references: {
              model: 'GatewayGroups',
              key: 'id',
            },
            onDelete: 'SET NULL',
          }),
          queryInterface.sequelize.query(`
            INSERT INTO GatewayGroups (\`name\`) VALUES ('Default Group')
          `, {type: queryInterface.sequelize.QueryTypes.INSERT}
          )
        ])
      ),
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('Gateways','gateway_group_id'),
      queryInterface.removeColumn('Services','gateway_group_id')
    ]).then(_ => queryInterface.dropTable('GatewayGroups'))
  }
};
