'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('Gateways', 'gateway_group_id').then(_ => {
        return Promise.resolve();
      }
      ).catch(error => {
        console.log(error.original.code);
        if(error.original.code === 'ER_CANT_DROP_FIELD_OR_KEY' || error.original.code === 'ER_FK_DUP_NAME')
          return Promise.resolve();
        return Promise.reject(error);
      }),
      queryInterface.removeColumn('Services', 'gateway_group_id').then(_ => {
        return Promise.resolve();
      }
      ).catch(error => {
        console.log(error.original.code);
        if(error.original.code === 'ER_CANT_DROP_FIELD_OR_KEY' || error.original.code === 'ER_FK_DUP_NAME')
          return Promise.resolve();
        return Promise.reject(error);
      }),
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn('Gateways', 'gateway_group_id', {
        type: Sequelize.INTEGER,
        references: {
          model: 'GatewayGroups',
          key: 'id',
        },
        onDelete: 'SET NULL',
      }),
      queryInterface.addColumn('Services', 'gateway_group_id', {
        type: Sequelize.INTEGER,
        references: {
          model: 'GatewayGroups',
          key: 'id',
        },
        onDelete: 'SET NULL',
      }),
    ])
  }
};
