'use strict';
let common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
let schema = {};
_.assign(schema, common, {
  policy_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  service_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});

let group_schema = {};
_.assign(group_schema, common, {
  policy_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  service_group_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});

module.exports = {
  up: function(queryInterface, _Sequelize) {
    return Promise.all([
      queryInterface.createTable('ServiceSoftwarePolicies', schema),
      queryInterface.createTable('ServiceGroupSoftwarePolicies', group_schema)
    ])
  },
  down: function(queryInterface, _Sequelize) {
    return Promise.all([
      queryInterface.dropTable('ServiceSoftwarePolicies'),
      queryInterface.dropTable('ServiceGroupSoftwarePolicies')
    ]);
  }
};