'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('ServiceDevicePolicies'),
      queryInterface.dropTable('ServiceGroupDevicePolicies'),
      queryInterface.dropTable('ClientDevicePolicies'),
      queryInterface.dropTable('ClientGroupDevicePolicies'),
      queryInterface.dropTable('ServiceRoutingPolicies'),
      queryInterface.dropTable('ServiceGroupRoutingPolicies'),
      queryInterface.dropTable('GatewayRoutingPolicies'),
      queryInterface.dropTable('GatewayGroupRoutingPolicies'),
      queryInterface.dropTable('ServiceSoftwarePolicies'),
      queryInterface.dropTable('ServiceGroupSoftwarePolicies'),
      queryInterface.dropTable('ClientSoftwarePolicies'),
      queryInterface.dropTable('ClientGroupSoftwarePolicies'),
      queryInterface.dropTable('ServiceProcessPolicies'),
      queryInterface.dropTable('ServiceGroupProcessPolicies'),
      queryInterface.dropTable('ClientProcessPolicies'),
      queryInterface.dropTable('ClientGroupProcessPolicies'),
      queryInterface.sequelize.query(`
        CREATE OR REPLACE VIEW GroupDetails AS (
          SELECT \`Groups\`.id AS groupId,
          COUNT(DISTINCT(Clients.id)) AS client_count,
          COUNT(DISTINCT(Services.id)) AS service_count
          FROM \`Groups\`
          LEFT OUTER JOIN (
            GroupClients INNER JOIN Clients ON Clients.id = GroupClients.clientId
          ) ON \`Groups\`.id = GroupClients.groupId
          LEFT OUTER JOIN(
            GroupServices INNER JOIN Services ON Services.id = GroupServices.serviceId
          ) ON \`Groups\`.id = GroupServices.groupId
          GROUP BY \`Groups\`.id
        )
      `)
    ])
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};