'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => { 
    const [results, metadata] = await queryInterface.sequelize.query("SHOW TABLES LIKE 'AccessPolicies'");
    const promises = [];
    if (results.length > 0) {
      promises.push(queryInterface.sequelize.query(`ALTER TABLE AccessPolicies RENAME Entitlements`));
    } else {
      console.log('AccessPolicies table not found');
    }
    promises.push(queryInterface.sequelize.query(`UPDATE PolicyTypeLookup set policy_type = 'Entitlement' where policy_type='Access Policy'`));
    return Promise.all(promises);
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`ALTER TABLE Entitlements RENAME AccessPolicies`),
      queryInterface.sequelize.query(`UPDATE PolicyTypeLookup set policy_type = 'Access Policy' where policy_type='Entitlement'`)
    ])
  }
};
