'use strict';

const fs = require('fs');
const path = require('path');

/** @type {import('sequelize-cli').Migration} */

module.exports = {
  up: (queryInterface, Sequelize) => {

    const countriesData = JSON.parse(fs.readFileSync(path.join(__dirname, '../shared/countries.json')));
    return queryInterface.createTable('Countries', {
      id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true,
      },
      name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      cityId: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      createdAt: Sequelize.DATE,
      updatedAt: Sequelize.DATE,
    }).then(() => {
      return queryInterface.bulkInsert('Countries', countriesData, {});
    });
  },
  
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('Countries');
  },
};