'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.addConstraint('Countries', {
      fields: ['cityId'],
      type: 'foreign key',
      name: 'fk_country_city',
      references: {
        table: 'Cities',
        field: 'id',
      },
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.removeConstraint('Countries', 'fk_country_city');
  },
};
