'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
       await queryInterface.removeColumn('UserGroupPolicies', 'user_group_type');

       await queryInterface.addColumn('UserGroupPolicies', 'user_group_type', {
         type: Sequelize.INTEGER,
         allowNull: false,
       });
   
       await queryInterface.addConstraint('UserGroupPolicies', {
         fields: ['user_group_type'],
         type: 'foreign key',
         name: 'fk_user_group_type_id',
         references: {
           table: 'UserGroupTypeLookup',
           field: 'id',
         },
         onUpdate: 'CASCADE',
         onDelete: 'CASCADE',
       });

  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeConstraint('UserGroupPolicies', 'fk_user_group_type_id');
    await queryInterface.removeColumn('UserGroupPolicies', 'user_group_type');
    await queryInterface.addColumn('UserGroupPolicies', 'user_group_type', {
      type: Sequelize.STRING,
      allowNull: false,
    });
  }
};
