'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      'INSERT INTO ClientSoftwareInventory (client_id,state) SELECT id, inventory_sync_state FROM Clients'
    );
    await queryInterface.removeColumn('Clients', 'inventory_sync_state');
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.addColumn('Clients', 'inventory_sync_state', {
      type: Sequelize.STRING(50),
      allowNull: false,
      defaultValue: 'Undetected'
    });

    const updateQueries = [];
    const selectQuery = 'SELECT client_id, state FROM ClientSoftwareInventory';

    const [rows] = await queryInterface.sequelize.query(selectQuery);

    rows.forEach(row => {
      const { client_id, state } = row;
      updateQueries.push(
        `UPDATE Clients SET inventory_sync_state = '${state}' WHERE id = ${client_id}`
      );
    });
    for (const updateQuery of updateQueries) {
      await queryInterface.sequelize.query(updateQuery);
    }

    await queryInterface.sequelize.query('DELETE FROM ClientSoftwareInventory');
  }
};
