'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE TemplatePermissions (
          id INT AUTO_INCREMENT PRIMARY KEY,
          temp_id INT NOT NULL,
          CONSTRAINT TemplatePermissions_ibfk_1
            FOREIGN KEY (temp_id) REFERENCES Templates(id) ON DELETE CASCADE ON UPDATE CASCADE,
          permission_id INT NOT NULL,
          CONSTRAINT TemplatePermissions_ibfk_2
            FOREIGN KEY (permission_id) REFERENCES Permissions(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('TemplatePermissions', 'TemplatePermissions_ibfk_1');
    await queryInterface.removeConstraint('TemplatePermissions', 'TemplatePermissions_ibfk_2');
    await queryInterface.dropTable('TemplatePermissions');
  }
};
