'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO Templates (id, name, description) VALUES
        (1, 'Infrastructure Admin', 'Can manage infrastructure and related items.'),
        (2, 'Admin', 'Can manage pretty much everything except infrastructure.'),
        (3, 'Team Manager', 'Can only manage policies. May be able to see users, devices, clients and their logs and stats.'),
        (4, 'Policy Admin', 'Can only manage policies. May be able to see users, devices, clients and their logs and stats.'),
        (5, 'Report Viewer', 'Can only view reports and summaries.'),
        (6, 'API User', 'Can only access public APIs.');
      `
    )
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM Templates
        WHERE id BETWEEN 1 AND 6
      `
    )
  }
};
