'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    const macos = [
      {
        software: 'Avast Antivirus',
        process: ['com.avast.daemon']
      },
      {
        software: 'Avira Antivirus',
        process: ['privd']
      },
      {
        software: 'Bitdefender Antivirus',
        process: ['BDLDaemon']
      },
      {
        software: 'ESET Antivirus',
        process: ['esets_daemon']
      },
      {
        software: 'Kaspersky Antivirus',
        process: ['kavd']
      },
      {
        software: 'McAfee Antivirus',
        process: ['nails']
      },
      {
        software: 'Norton Antivirus',
        process: ['SymDaemon']
      },
      {
        software: 'Sophos Antivirus',
        process: ['SophosScanD']
      },
      {
        software: 'Total Antivirus',
        process: ['TotalAV']
      },
      {
        software: 'Trend Micro Antivirus',
        process: ['iCoreService']
      },
      {
        software: 'Webroot SecureAnywhere Antivirus',
        process: ['WSDaemon']
      },
      {
        software: 'Windows Defender Antivirus',
        process: ['wdavdaemon']
      },
      {
        software: 'CrowdStrike',
        process: ['falcon']
      }
    ]

    const getCurrentDateTime = () => {
      const now = new Date();
      return now
        .toISOString()
        .slice(0, 19)
        .replace('T', ' ');
    };

    for (let i = 0; i < macos.length; i++) {
      let os = 'macos';
      let software = macos[i].software;
      let binding_name = macos[i].software + '_' + os;
      const createdAt = getCurrentDateTime();
      const updatedAt = getCurrentDateTime();

      const [softwareInstance] = await queryInterface.sequelize.query(
        `
          INSERT INTO SoftwareInstances (binding_name, software, os, is_edr, createdAt, updatedAt) VALUES
          ('${binding_name}', '${software}', '${os}', 1, '${createdAt}', '${updatedAt}')
        `
      );

      let software_id = softwareInstance;
      for (let j = 0; j < macos[i].process.length; j++) {
        let process = macos[i].process[j];
        await queryInterface.sequelize.query(
          `
            INSERT INTO SoftwareProcessBindings (software_id, process, createdAt, updatedAt) VALUES
            (${software_id}, '${process}', '${createdAt}', '${updatedAt}')
          `
        );
      }
    }
  },

  async down(queryInterface, Sequelize) {
    const [instance] = await queryInterface.sequelize.query(
      `
        SELECT id
        FROM SoftwareInstances si 
        WHERE si.is_edr = 1 AND si.os = 'macos'
      `
    );

    for (let i = 0; i < instance.length; i++) {
      let id = instance[i].id;
      await queryInterface.sequelize.query(
        `
          DELETE FROM SoftwareProcessBindings  
          WHERE software_id = ${id}
        `
      );

      await queryInterface.sequelize.query(
        `
          DELETE FROM SoftwareInstances  
          WHERE id = ${id}
        `
      );
    }
  }
};
