'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    try {
      // extend column varchar length
      await queryInterface.sequelize.query(
        `
          ALTER TABLE SoftwareProcessBindings
            MODIFY COLUMN process VARCHAR(1024) NOT NULL;
        `
      );
    } catch (error) {
      throw error;
    }
  },

  async down(queryInterface, Sequelize) {
    try {
      // reduce column varchar length back to original
      await queryInterface.sequelize.query(
        `
          ALTER TABLE SoftwareProcessBindings
            MODIFY COLUMN process VARCHAR(100) NOT NULL;
        `
      );
    } catch (error) {
      throw error;
    }
  }
};
