'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (t) => {
      await queryInterface.changeColumn('Workloads', 's2s_mode', {
        type: Sequelize.ENUM('discovery', 'spa', 'idle'),
        allowNull: true,
        defaultValue: null,
      }, { transaction: t });

      await queryInterface.sequelize.query(
        `UPDATE Workloads SET s2s_mode = 'idle' WHERE s2s_mode IS NULL`,
        { transaction: t }
      );

      await queryInterface.changeColumn('Workloads', 's2s_mode', {
        type: Sequelize.ENUM('discovery', 'spa', 'idle'),
        allowNull: false,
        defaultValue: 'idle',
      }, { transaction: t });
    });
  },

  down: async (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (t) => {
      await queryInterface.changeColumn('Workloads', 's2s_mode', {
        type: Sequelize.ENUM('discovery', 'spa', 'idle'),
        allowNull: true,
        defaultValue: null,
      }, { transaction: t });  
      
      await queryInterface.sequelize.query(
        `UPDATE Workloads SET s2s_mode = NULL WHERE s2s_mode = 'idle'`,
        { transaction: t }
      );

      await queryInterface.changeColumn('Workloads', 's2s_mode', {
        type: Sequelize.ENUM('discovery', 'spa'),
        allowNull: true,
        defaultValue: null,
      }, { transaction: t });  
    });
  }
};
