'use strict';
module.exports = function(sequelize, DataTypes) {
  
    const Workloads = sequelize.define('Workloads', {
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
          },
          name: {
            type: DataTypes.STRING
          },
          s2s_mode:{
            allowNull: true,
            defaultValue: null,
            type: DataTypes.ENUM('discovery', 'spa'),
          },
          discovery_duration: {
            allowNull: false,
            defaultValue: 60,
            type: DataTypes.INTEGER
          },
          discovery_threshold: {
            allowNull: false,
            defaultValue: 100,
            type: DataTypes.INTEGER
          }
    })
  
    Workloads.associate = function(models) {
        // associations can be defined here
        Workloads.hasMany(models.WorkloadDevicePivots, {
        foreignKey: 'workloadId',
        as: 'WDEVICESPivots',
        onDelete: 'CASCADE',
        hooks: true
      });

      Workloads.belongsToMany(models.DeviceInventories, {
        foreignKey: 'workloadId',
        through: models.WorkloadDevicePivots
      });
    };
  
    return Workloads;
};
