'use strict';
module.exports = function(sequelize, DataTypes) {
  const ClientSoftwareInventory = sequelize.define(
    'ClientSoftwareInventory',
    {
      id: {
        type: DataTypes.INTEGER,
        primaryKey: true,
        autoIncrement: true
      },
      client_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        references: {
          model: 'Clients',
          key: 'id'
        }
      },
      state: {
        type: DataTypes.STRING(50),
        allowNull: false,
        defaultValue: 'Undetected'
      },
      ocs_agent_enabled: {
        type: DataTypes.TINYINT,
        allowNull: false,
        defaultValue: 0 // Default value for false
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {
      tableName: 'ClientSoftwareInventory'
    }
  );
  return ClientSoftwareInventory;
};
