const httpErrors = require('http-errors');
const _ = require('lodash');

('use strict');
module.exports = (sequelize, DataTypes) => {
    const ControllerRuntimeHealths = sequelize.define(
        'ControllerRuntimeHealths',
        {
            id: {
                allowNull: false,
                autoIncrement: true,
                primaryKey: true,
                type: DataTypes.INTEGER
            },
            controllerId: {
                type: DataTypes.INTEGER,
                references: {
                    model: 'Controllers',
                    key: 'id'
                },
                onDelete: 'CASCADE'
            },
            memTotal: {
                type: DataTypes.INTEGER
            },
            memFree: {
                type: DataTypes.INTEGER
            },
            storageTotal: {
                type: DataTypes.INTEGER
            },
            storageFree: {
                type: DataTypes.INTEGER
            },
            cpuUtilization: {
                type: DataTypes.FLOAT
            },
            mainProcessCPUUtilization: {
                type: DataTypes.FLOAT
            },
            snifferProcessCPUUtilization: {
                type: DataTypes.FLOAT
            },
            createdAt: {
                allowNull: false,
                type: DataTypes.DATE,
                defaultValue: DataTypes.NOW
            },
            updatedAt: {
                allowNull: false,
                type: DataTypes.DATE,
                defaultValue: DataTypes.NOW
            }
        }
    );


    return ControllerRuntimeHealths;
};
