const httpErrors = require('http-errors');
const _ = require('lodash');

('use strict');
module.exports = (sequelize, DataTypes) => {
  const DataVolumePolicies = sequelize.define(
      'DataVolumePolicies',
      {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: DataTypes.INTEGER
        },
        name: {
          type: DataTypes.STRING
        },
        is_blocked: {
          type: DataTypes.BOOLEAN,
          defaultValue: false
        },
        is_enabled: {
          type: DataTypes.BOOLEAN,
          defaultValue: true,
        },
        all_clients: {
          type: DataTypes.BOOLEAN,
          defaultValue: false,
        },
        all_services: {
          type: DataTypes.BOOLEAN,
          defaultValue: false,
        },
        client_download_rate: {
          type: DataTypes.INTEGER,
          defaultValue: 0,
        },
        client_upload_rate: {
          type: DataTypes.INTEGER,
          defaultValue: 0,
        },
        all_users: {
          type: DataTypes.BOOLEAN,
          allowNull: false,
        },
        createdAt: {
          allowNull: false,
          type: DataTypes.DATE,
          defaultValue: sequelize.fn('now')
        },
        updatedAt: {
          allowNull: false,
          type: DataTypes.DATE,
          defaultValue: sequelize.fn('now')
        }
      },
      {}
  );


  DataVolumePolicies.addScope('getEnablePolicy', {
    where: {
      is_enabled: 1
    }
  });

  return DataVolumePolicies;
};
