'use strict';

module.exports = (sequelize, DataTypes) => {
  const TemplateApproval = sequelize.define(
    'TemplateApproval',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      is_approved: {
        type: DataTypes.BOOLEAN,
        allowNull: false,
      },
      requestee_message: {
        type: DataTypes.STRING,
        allowNull: true,
      },
      approver_message: {
        type: DataTypes.STRING,
        allowNull: true,
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'TemplateApproval'
    }
  );

  TemplateApproval.associate = function(models) {
    TemplateApproval.belongsTo(models.User, {
      foreignKey: 'user_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
    TemplateApproval.belongsTo(models.User, {
      foreignKey: 'approver_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
    TemplateApproval.belongsTo(models.Templates, {
      foreignKey: 'temp_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return TemplateApproval;
};
