'use strict';

module.exports = (sequelize, DataTypes) => {
  const TemplatePermissions = sequelize.define(
    'TemplatePermissions',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'TemplatePermissions'
    }
  );

  TemplatePermissions.associate = function(models) {
    TemplatePermissions.belongsTo(models.Templates, {
      foreignKey: 'temp_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
    TemplatePermissions.belongsTo(models.Permissions, {
      foreignKey: 'permission_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return TemplatePermissions;
};
