'use strict';
module.exports = (sequelize, DataTypes) => {
  const UserGroupPolicies = sequelize.define(
    'UserGroupPolicies', 
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      policy_id: {
        type: DataTypes.INTEGER,
        allowNull: true,
        defaultValue: null
      },
      policy_type_id: {
        type: DataTypes.INTEGER,
        allowNull: true,
        defaultValue: null
      },
      user_group_id: {
        type: DataTypes.INTEGER,
        allowNull: true,
        defaultValue: null
      },
      user_group_type: {
        type: DataTypes.STRING(100),
        allowNull: true,
        defaultValue: null
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    }
  );
  
  UserGroupPolicies.associate = function (models) {
    // associations can be defined here
  };

  return UserGroupPolicies;
};
