'use strict';

module.exports = function(sequelize, DataTypes) {
  const userGroupsPivot = sequelize.define(
    'UserGroupsPivot',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      group_id: {
        type: DataTypes.INTEGER,
        references: {
          model: 'CustomUserGroups',
          key: 'id'
        }
      },
      user_id: {
        type: DataTypes.INTEGER,
        allowNull: false
      },
      is_declarative: {
        type: DataTypes.BOOLEAN,
        allowNull: false,
        defaultValue: true
      },
      createdAt: {
        type: DataTypes.DATE,
        allowNull: false
      },
      updatedAt: {
        type: DataTypes.DATE,
        allowNull: false
      }
    },
    {
      tableName: 'UserGroupsPivot'
    }
  );

  return userGroupsPivot;
};
