'use strict';

module.exports = (sequelize, DataTypes) => {
  const UserTemplatePivot = sequelize.define(
    'UserTemplatePivot',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'UserTemplatePivot'
    }
  );

  UserTemplatePivot.associate = function(models) {
    UserTemplatePivot.belongsTo(models.Templates, {
      foreignKey: 'temp_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
    UserTemplatePivot.belongsTo(models.User, {
      foreignKey: 'user_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return UserTemplatePivot;
};
