const router = require('express').Router();
const verifyPermissions = require('../../middlewares/verifyPermissions');

const { 
  getOsVersions,
  addOSVersion,
  deleteOSVersion
} = require('../../dao/osVersions');

router.get('/', getOsVersions);

router.post('/', verifyPermissions('OS Policy'), addOSVersion);
router.delete('/:versionId', verifyPermissions('OS Policy'), deleteOSVersion);

module.exports = router;
