var express = require('express');
var router = express.Router();
var projectConfig = require('../../config/config')[process.env.NODE_ENV];
const { exec } = require('child_process');
var fs = require('fs');
var fsExtra = require('fs-extra');
var nthLine = require('nthline');
var models = require('../../models');
var sanitize = require('sanitize-filename');

router.post('/', function(req, res, next) {
  let attachement = req.body.attachment;
  let encoded = attachement.data.split(';base64,').pop();
  let fileName = sanitize(attachement.name);
  console.log(fileName);
  const filePath = '/var/www/html/admin-gui/storage/temp/' + fileName;
  new Promise((resolve, reject) => {
    fs.writeFile(filePath, encoded, 'base64', function(error) {
      if (error) {
        reject('Error in writing file ', error);
      }
      resolve();
    });
  })
    .then(() => {
      console.log('file written finished ');
      return Promise.all([
        models.sequelize.query('SELECT * FROM SequelizeMeta'),
        nthLine(1, filePath)
      ]);
    })
    .then(allPromises => {
      var migrations = allPromises[0];
      var secondLine = allPromises[1];
      var migrationsArray = [];
      for (migration in migrations[0]) {
        migrationsArray.push(migrations[0][migration].name);
      }
      return new Promise((resolve, reject) => {
        if (migrationsArray.toString().trim() === secondLine.trim()) {
          console.log('Correct schema');
          exec(
            `mysql -h ${projectConfig.host} -u ${projectConfig.username} --password="${projectConfig.password}" -h ${projectConfig.host} ${projectConfig.database} < "${filePath}"`,
            (error, stdout, stderr) => {
              if (error) {
                console.error(`exec error: ${error}`);
                return reject(error);
              }
              resolve();
            }
          );
        } else {
          reject('File does not match to database schema');
        }
      });
    })
    .then(function() {
      return fsExtra.remove(filePath);
    })
    .then(() => {
      console.log(`The import and deletion has finished.`);
      res.json('The import has finished.');
    })
    .catch(error => {
      res
        .status(500)
        .send('Something went wrong in exectuing mysql command ' + error);
    });
});

module.exports = router;
