var express = require('express');
var router = express.Router();
const verifyPermissions = require('../../middlewares/verifyPermissions');

const {
  getUpdates,
  getUpdate,
  updatePackge,
  deletePackge,
  downloadPackage,
  addUpdate
} = require('../../dao/updates');

/* GET updates listing. */
router.get('/', verifyPermissions('Software Update'), getUpdates);

/* Get a single update detail */
router.get('/:id', verifyPermissions('Software Update'), getUpdate);

/* Create new update. */
router.post('/', verifyPermissions('Software Update'), addUpdate);

//download package
router.get('/download/:buildComponent/:buildOs', downloadPackage);

/* Update 'Update' record */
router.put('/:id', verifyPermissions('Software Update'), updatePackge);

// Delete an update by Id
router.delete('/:id', verifyPermissions('Software Update'), deletePackge);

module.exports = router;
