#!/bin/bash

echo "invisily-client packaging script started..."

currpath=$1

echo "script run path: $currpath"

if [ -d "$currpath/macClient_temp" ]; then
  rm -rf  $currpath/macClient_temp 
fi

mkdir $currpath/macClient_temp
echo "invisily-client packaging script : macClient_temp folder created..."

mv -f $currpath/installer.pkg $currpath/macClient_temp
echo "invisily-client packaging script : installer.pkg moved into macClient_temp folder..."

cd $currpath/macClient_temp

xar -xf installer.pkg
if [ $? -eq 0 ]; then
    echo "invisily-client packaging script : pkg unpacked successfully..."
else
    echo "invisily-client packaging script : Error : unpacking pkg failed..."
    exit 1
fi

mv -f installer.pkg ../
echo "invisily-client packaging script : installer.pkg moved out of macClient_temp folder..."
cd ..

#mv Payload Payload.gz
#gunzip Payload
#cpio -iv < Payload

cd $currpath/macClient_temp/base.pkg
cat Payload | gunzip -dc |cpio -i

if [ -f "./Applications/Invisily.app/Contents/Resources/configs/settings.cfg" ]; then
   rm -rf ./Applications/Invisily.app/Contents/Resources/configs/settings.cfg 
fi

if [ -f "$currpath/settings.cfg" ]; then
   cp -R $currpath/settings.cfg ./Applications/Invisily.app/Contents/Resources/configs

   if [ $? -eq 0 ]; then
	    echo "invisily-client packaging script : settings.cfg copied successfully..."
	else
	    echo "invisily-client packaging script : Error : settings.cfg copy failed..."
        exit 1
	fi

else
  echo "invisily-client packaging script : Error : settings.cfg copy failed ..."
  exit 1
fi

rm Payload

#create new directories to complete the folder structure

cd $currpath/macClient_temp/
mkdir root
mv -f ./base.pkg/Applications ./root
mkdir flat
mv -f ./base.pkg ./flat
mv -f ./Resources ./flat
mv -f ./Distribution ./flat

#find Invisily.app | cpio -o --format odc --owner 0:80 | gzip -c > Payload

( cd root && find . | cpio -o --format odc --owner 0:80 | gzip -c ) > flat/base.pkg/Payload

if [ $? -eq 0 ]; then
	echo "invisily-client packaging script : payload re-archived in odc format..."
else
	echo "invisily-client packaging script : Error : payload not re-archived in odc format..."
	exit 1
fi

echo "invisily-client packaging script : building pkg file ..."

#xar -cf ../Invisily-client.pkg *
( cd flat && xar --compression none -cf "$currpath/installer.pkg" * )
if [ $? -eq 0 ]; then
    echo "invisily-client packaging script : building .pkg file successful..."
else
    echo "invisily-client packaging script : Error : building .pkg file failed..."
    exit 1
fi

cd ..

if [ -d "$currpath/macClient_temp" ]; then
  rm -rf  $currpath/macClient_temp 
  echo "invisily-client packaging script : removing old macClient_temp folder..."
fi


echo "invisily-client packaging script ended successfully ..."
exit 0;