import { Component, OnInit } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-approval-modal',
  templateUrl: './approval-modal.component.html',
  styleUrls: ['./approval-modal.component.css']
})
export class ApprovalModalComponent implements OnInit {
  message: string = '';
  isApproved: boolean;

  constructor(public dialogRef: MatDialogRef<ApprovalModalComponent>) {}

  ngOnInit(): void {}

  onCancelClick() {
    this.dialogRef.close();
  }

  onConfirmClick() {
    if (!this.message) {
      this.message = 'Approved';
    }

    const valuesToPass = {
      message: this.message,
      isApproved: 1
    };

    this.dialogRef.close(valuesToPass);
  }

  onRejectClick() {
    const valuesToPass = {
      message: this.message,
      isApproved: 0
    };
  
    this.dialogRef.close(valuesToPass);
  }
}
