// check-token.service.ts
import { Injectable } from '@angular/core';
import {
  CanActivate,
  Router,
  ActivatedRouteSnapshot,
  RouterStateSnapshot
} from '@angular/router';

@Injectable()
export class CheckToken implements CanActivate {
  constructor(private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot) {
    let url: string = state.url;
    if (url == '/login') {
      return this.checkAlreadylogin(url);
    } else {
      return this.checkLogin(url);
    }
  }

  checkLogin(url: string): boolean {
    let currentUser = JSON.parse(localStorage.getItem('currentUser'));
    if (currentUser) {
      let token = currentUser.token;
      if (token) {
        return true;
      } else {
        this.router.navigate(['/login']);
        return false;
      }
    } else {
      return true;
    }
  }

  checkAlreadylogin(url) {
    let currentUser = JSON.parse(localStorage.getItem('currentUser'));
    if (currentUser) {
      let token = currentUser.token;
      if (!token) {
        return true;
      } else {
        this.router.navigate(['/dashboard']);
        return false;
      }
    } else {
      return true;
    }
  }
}
