import { Injectable } from '@angular/core';
import { HttpClient as AuthHttp } from '@angular/common/http';
import { Router } from '@angular/router';
import { ConfigService } from '../services/config.service';
import { map } from 'rxjs/operators';
@Injectable()
export class FreshLoginService {
  private authenticationUrl = '/users/email';
  private apiBaseUrl: string;
  private config;
  constructor(
    private router: Router,
    private authHttp: AuthHttp,
    private configService: ConfigService
  ) {
    this.config = this.configService.getConfiguration();
    this.apiBaseUrl = this.configService.getConfiguration().apiBaseUrl;
    let currentUrl = window.location.href;
    if (currentUrl.includes(this.config.onPremUrl)) {
      this.apiBaseUrl = this.config.onPremUrl + 'api';
    } else if (currentUrl.includes(this.config.offPremUrl)) {
      this.apiBaseUrl = this.config.offPremUrl + 'api';
    }
    this.authenticationUrl = this.apiBaseUrl + this.authenticationUrl;
  }

  submitEmail(userid: string, useremail: string): any {
    let queryString = '';
    queryString = '/' + userid;
    return this.authHttp
      .put(this.authenticationUrl + queryString, { useremail: useremail })
      .pipe(
        map((response: Response) => {
          let res = response;
          return res;
        })
      );
  }
}
