import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';
import { RecoverService } from '../recover-password/recover.service';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';

@Injectable()
export class ChangePasswordGuard implements CanActivate {
  token: string;

  constructor(private recoverService: RecoverService, private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot) {
    const is_first_login = JSON.parse(localStorage.getItem('is_first_login'));
    const userData = JSON.parse(localStorage.getItem('userData'));

    console.log('is_first_login', is_first_login);
    if (is_first_login && userData?.token) {
      return true;
    } else {
      this.router.navigate(['/login']);
      return false;
    }
  }
}
