import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';
import { RecoverService } from '../recover-password/recover.service';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';

@Injectable()
export class RecoverPasswordGuard implements CanActivate {
  token: string;

  constructor(private recoverService: RecoverService, private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot) {
    const token = route.paramMap.get('token');
    if (!token) return false;

    return this.recoverService.validate(token).pipe(
      map(result => {
        if (result.status === false) {
          this.router.navigate(['/notfound'], {
            queryParams: { passwordLink: 'expire' }
          });
        }

        return result.status;
      })
    );
  }
}