import { Component, OnDestroy, OnInit } from '@angular/core';
import { AuthenticationService } from '../login/authentication.service';
import { RolesAndPermissionService } from '../roles-and-permission/roles-and-permission.service';

@Component({
  selector: 'app-logout',
  template: 'Logout'
})
export class LogoutComponent implements OnInit {
  constructor(
    private authenticationManager: AuthenticationService,
    private rolesAndPermissionService: RolesAndPermissionService
  ) {
    localStorage.removeItem('adminMfaValue');
    localStorage.removeItem('Roles');
    localStorage.removeItem('MicroSegLicense');
    localStorage.removeItem('isOauthService');
  }

  public ngOnInit(): void {
    this.rolesAndPermissionService.setAssignedUserTemplates({});
    this.authenticationManager.logout(false);
  }
}
