import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { ConfigService } from '../services/config.service';
import { DomSanitizer } from '@angular/platform-browser';

@Component({
  selector: 'app-mobile-client',
  templateUrl: './mobile-client.component.html',
  styleUrls: ['./mobile-client.component.css']
})
export class MobileClientComponent implements OnInit {
  private config;
  public configonPremUrl: string;
  public iosLink: any;
  public androidLink: string;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private configService: ConfigService,
    private sanitizer: DomSanitizer
  ) {
    this.config = this.configService.getConfiguration();
    this.configonPremUrl = this.config.contentUrl;
    this.iosLink =
      'itms-services://?action=download-manifest&url=' +
      this.configonPremUrl +
      'api/v1/links/manifest';
    this.androidLink = this.configonPremUrl + 'api/v1/links/download/mobile/android';
  }

  public sanitize(url: string) {
    return this.sanitizer.bypassSecurityTrustUrl(url);
  }

  ngOnInit() {}
}
