import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { DomSanitizer } from '@angular/platform-browser';

@Component({
  selector: 'app-onboard-co',
  templateUrl: './onboard.component.html',
  styleUrls: ['./onboard.component.css']
})
export class OnboardComponent implements OnInit {
  token = '';
  error = '';
  loading: boolean = false;
  showSuccess: boolean = false;
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private sanitizer: DomSanitizer
  ) {
    if (typeof this.route.params['_value']['token'] != 'undefined') {
      this.token = atob(this.route.params['_value']['token']);
    }
  }

  ngOnInit() {}

  public sanitize(url: string) {
    return this.sanitizer.bypassSecurityTrustUrl(url);
  }
}
