import { Component, OnInit, Input, Output, EventEmitter, } from '@angular/core';
import { Pagination } from '../models/pagination';
import { BehaviorSubject } from 'rxjs';

@Component({
  selector: 'app-pagination',
  templateUrl: './pagination.component.html',
  styleUrls: ['./pagination.component.css']
})
export class PaginationComponent implements OnInit {
  
  @Input('pagination') pagination: Pagination;
  @Output('pageChanged') pageChanged: EventEmitter<any> = new EventEmitter();
  t: any;


  constructor() { 
  }

  ngOnInit() {
  }

  ngOnDestroy(): void {
    clearInterval(this.t);
  }

  ngOnChanges(value): void {
    //Called before any other lifecycle hook. Use it to inject dependencies, but avoid any serious work here.
    //Add '${implements OnChanges}' to the class.
    
  }

  resultCount(){
    let start = (this.pagination.currentPage*this.pagination.itemsPerPage)-(this.pagination.itemsPerPage-1);
    let end = this.pagination.currentPage*this.pagination.itemsPerPage;
    start = start > 0 ? start : 1;
    start = this.pagination.totalItems > 0 ? start : 0;
    end = this.pagination.totalItems > end ? end : this.pagination.totalItems;
    return `Showing ${start} to ${end} of ${this.pagination.totalItems} entries`;
  }

}
