import { Pipe, PipeTransform } from '@angular/core';
import { DeviceOSEnum } from '../shared/emuns/client.enum';

@Pipe({
  name: 'osTransform'
})
export class OsTransformPipe implements PipeTransform {
  transform(value: any, args?: any): any {
    switch (value) {
      case DeviceOSEnum.Ubuntu18:
        return 'Ubuntu Desktop';
      case DeviceOSEnum.UbuntuServer18:
        return 'Ubuntu Server';
      case DeviceOSEnum.Macintosh:
        return 'macOS';
      case DeviceOSEnum.Windows6_1:
        return 'Windows 7';
      case DeviceOSEnum.Windows6_2: 
        return 'Windows 8';
      case DeviceOSEnum.Windows6_3: 
        return 'Windows 8.1';
      case DeviceOSEnum.Windows10: 
        return 'Windows 10';
      case DeviceOSEnum.Windows11: 
        return 'Windows 11';
      case DeviceOSEnum.WindowsServer6_1: 
        return 'Windows Server 2008 R2';
      case DeviceOSEnum.WindowsServer6_2: 
        return 'Windows Server 2012';
      case DeviceOSEnum.WindowsServer6_3: 
        return 'Windows Server 2012 R2';
      case DeviceOSEnum.WindowsServer10: 
        return 'Windows Server 2016+';
      case DeviceOSEnum.Ubuntu:
        return 'Ubuntu Desktop';
      case DeviceOSEnum.UbuntuServer:
        return 'Ubuntu Server';
      case DeviceOSEnum.WindowsServer:
        return 'Windows Server';
      case DeviceOSEnum.IOS:
        return 'iOS';
      case DeviceOSEnum.Android:
        return 'Android';
      case DeviceOSEnum.UbuntuServer20armv8:
        return 'Ubuntu Server (ARMv8)';
      case DeviceOSEnum.CentosServer7:
        return 'CentOS 7 Server';
      case DeviceOSEnum.CentosServer8:
        return 'CentOS 8 Server';
      case DeviceOSEnum.CentosServer:
        return 'CentOS Server';
      default:
        return value;
    }
  }
}
