import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateUserComponent } from './create-user.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { SpinnerModule } from '../../spinner/spinner.module';
import { CreateUserRoutingModule } from './create-user-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { RolesAndPermissionService } from '../../roles-and-permission/roles-and-permission.service';

@NgModule({
  declarations: [CreateUserComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    SpinnerModule,
    PopoverModule,
    CreateUserRoutingModule
  ],
  providers: [RolesAndPermissionService],
  exports: [CreateUserComponent]
})
export class CreateUserModule {}
