import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UserListComponent } from './user-list.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../../table/table.module';
import { SpinnerModule } from '../../spinner/spinner.module';
import { UserListRoutingModule } from './user-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatOptionModule } from '@angular/material/core';

@NgModule({
  declarations: [UserListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    SpinnerModule,
    PopoverModule,
    ReactiveFormsModule,
    MatAutocompleteModule,
    MatOptionModule,
    UserListRoutingModule
  ],
  exports: [UserListComponent]
})
export class UserListModule { }
