import {
  ValidatorFn,
  AbstractControl,
  NG_VALIDATORS,
  Validator
} from '@angular/forms';
import { Directive } from '@angular/core';

export function withoutSpaceValidator(): ValidatorFn {
  return (control: AbstractControl): { [key: string]: any } => {
    const withSpacesOnly = control.value && control.value.trim().length === 0;

    return withSpacesOnly ? { withoutSpace: true } : null;
  };
}

@Directive({
  selector: '[withoutSpace]',
  providers: [
    { provide: NG_VALIDATORS, useExisting: WithoutSpaceValidator, multi: true }
  ]
})
export class WithoutSpaceValidator implements Validator {
  validate(control: AbstractControl): { [key: string]: any } {
    return withoutSpaceValidator()(control);
  }
}
