import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import { VersionService } from './version.service';

@Component({
  selector: 'app-version',
  templateUrl: './version.component.html',
  styleUrls: ['./version.component.css']
})
export class VersionComponent implements OnInit {

  constructor(private versionService: VersionService) { }

  values = {};

  ngAfterViewInit() {
    this.versionService.setPortalVersion(
      this.values['major'],
      this.values['minor'],
      this.values['patch'],
      this.values['build']
    )
  }

  ngOnInit() {
    const ids = ['symbol', 'major', 'minor', 'patch', 'build'];
    for (const id of ids) {
      const value = document.getElementById(id);
      this.values[id.toString()] = value.textContent;
    }
  }

}
